# frozen_string_literal: true

require_relative 'mmmd/blankshell'
require_relative 'mmmd/renderers'

# Extensible, multi-format markdown processor
module MMMD
  # Parse a Markdown document into a DOM form
  # @param doc [String]
  # @return [::PointBlank::DOM::Document]
  def self.parse(doc)
    ::PointBlank::DOM::Document.parse(doc)
  end
end
