# frozen_string_literal: true

Gem::Specification.new do |spec|
  spec.name                  = "mmmd"
  spec.version               = "0.1.3"
  spec.summary               = "Modular, compliant Markdown processor"
  spec.description           = <<~DESC
    MMMD (short for Mark My Manuscript Down) is a Markdown processor
    (as in "parser and translator") with a CLI interface utility and
    multiple modes of output (currently HTML and terminal).
  DESC
  spec.authors               = ["Yessiest"]
  spec.license               = "AGPL-3.0-or-later"
  spec.email                 = "yessiest@text.512mb.org"
  spec.homepage              = "https://adastra7.net/git/Yessiest/rubymark"
  spec.files                 = Dir["lib/**/*"]
  spec.bindir                = Dir["bin"]
  spec.executables << "mmmdpp"
  spec.extra_rdoc_files      = Dir["*.md"]
  spec.required_ruby_version = ">= 3.0.0"
end
